# mustRunAfter

abstract fun mustRunAfter(paths: Array<Any>): Task

Specifies that this task must run after all of the supplied tasks.

    task taskY {
        mustRunAfter "taskX"
    }

Content copied to clipboard

For each supplied task, this action adds a task 'ordering', and does not specify a 'dependency' between the tasks. As such, it is still possible to execute 'taskY' without first executing the 'taskX' in the example.

See here for a description of the types of objects which can be used to specify an ordering relationship.

#### Return

the task object this method is applied to

#### Parameters

paths

The tasks this task must run after.